﻿@model IEnumerable<SYM.DataAccessLayer.v_feed_images>

@{
    ViewBag.Title = "Photo Gallery";
    ViewBag.Page = "Photo Gallery";
}

@section customCss4Page{
    <link href="~/Content/themes/m1/assets/global/plugins/cubeportfolio/css/cubeportfolio.css" rel="stylesheet" type="text/css" />
    <link href="~/Content/themes/m1/assets/pages/css/portfolio.min.css" rel="stylesheet" type="text/css" />
}

<div class="portfolio-content portfolio-2">
    <div id="js-filters-mosaic" class="cbp-l-filters-button">
        <div data-filter="*" class="cbp-filter-item-active cbp-filter-item btn green btn-outline uppercase">
            All
            <div class="cbp-filter-counter"></div>
        </div>
        <div data-filter=".m" class="cbp-filter-item btn green btn-outline uppercase">
            Mountains
            <div class="cbp-filter-counter"></div>
        </div>
        <div data-filter=".r" class="cbp-filter-item btn green btn-outline uppercase">
            Routes
            <div class="cbp-filter-counter"></div>
        </div>
        <div data-filter=".6" class="cbp-filter-item btn green btn-outline uppercase">
            Trekking
            <div class="cbp-filter-counter"></div>
        </div>
        <div data-filter=".7" class="cbp-filter-item btn green btn-outline uppercase">
            via Ferrata
            <div class="cbp-filter-counter"></div>
        </div>
        <div data-filter=".17" class="cbp-filter-item btn green btn-outline uppercase">
            via su Roccia
            <div class="cbp-filter-counter"></div>
        </div>
    </div>
    <div id="js-grid-mosaic" class="cbp cbp-l-grid-mosaic">
    @foreach (var item in Model)
    {
        <div class="cbp-item @item.type @item.activity_id">
            <a href="http://res.cloudinary.com/shareyourmountain/image/upload/w_1200/@item.image_url" class="cbp-caption cbp-lightbox" data-title="@item.title<br>by @item.profile_firstName @item.profile_LastName">
                <div class="cbp-caption-defaultWrap">
                    <img src="http://res.cloudinary.com/shareyourmountain/image/upload/g_face,c_fill,w_400/@item.image_url" alt="">
                </div>
                <div class="cbp-caption-activeWrap">
                    <div class="cbp-l-caption-alignCenter">
                        <div class="cbp-l-caption-body">
                            <div class="cbp-l-caption-title">@item.title</div>
                            <div class="cbp-l-caption-desc">by @item.profile_firstName @item.profile_LastName</div>
                        </div>
                    </div>
                </div>
            </a>
        </div>
    }
    </div>
    <div id="js-loadMore-mosaic" class="cbp-l-loadMore-button">
        <a id="counter" href="/Gallery/_ImagesList?page=" class="cbp-l-loadMore-link btn grey-mint btn-outline" rel="nofollow">
            <span class="cbp-l-loadMore-defaultText">LOAD MORE</span>
            <span class="cbp-l-loadMore-loadingText">LOADING...</span>
            <span class="cbp-l-loadMore-noMoreLoading">NO MORE PHOTO</span>
        </a>
    </div>
</div>

@section ExtraPluginJS{
    <script src="~/Content/themes/m1/assets/global/plugins/cubeportfolio/js/jquery.cubeportfolio.js" type="text/javascript"></script>
}
@section scripts {
    <script src="~/Content/themes/m1/assets/pages/scripts/portfolio-2.js" type="text/javascript"></script>
}